
:root {
  font-family: 'CirceRounded', Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  --red-light: #e84748;
  --bg: #fdfdff;
  --text-gray:#c8c5cd;
  ---gray-dark:#79747F;
  ---gray-light:#ECECEC;
  --black: #000000;
  --blue: #d8ecff;
  --dark: #323854;
  --dark-blue: #0089ff;
  --dark-violet: #7362bc;
  --light-dark: #434b74;
  --violet: #decfff;
  --violet-: #e7caff;
  --violet--base: #8d7fc7;

  --violet-light: #eeeeff;
  --white: #ffffff;
  --yellow: #fff1ca;

  --lesson-fill: #d7f0d6;
  --lesson-stroke: #bbe7b9;

  --space-xl: 24px;

  --font-size-xxs: 10px;
  --font-size-xs: 12px;
  --font-size-s: 15px;
  --font-size-m: 16px;
  --font-size-l: 20px;
  --font-size-xl: 24px;
  --font-size-xxl: 32px;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.text--dark-violet  {
  color: var(--dark-violet);
}
.text-danger{
  color: var(--red-light);
}

a {
  font-weight: 400;
  color: var(--dark-blue);
  text-decoration: inherit;
}
a:hover {
  color: var(--dark-violet);
}

body {
  margin: 0;
  display: flex;
  place-items: center stretch;
  min-width: 320px;
  min-height: 100vh;
  background: var(--bg);
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

input[type=text], input[type=password] {
  border: 1px solid #ECECEC;
  padding: 10px 12px;
  color: #79747F;
  width: 100%;
  border-radius: 8px;
  box-sizing: border-box;
}



.form-item{
  width: 100%;
  text-align: start;
}
.form-item__description{
  padding: 4px;
  font-size: var(--font-size-xs);
  color: var(--text-gray);
}


.login__input{

}
.login__label--checkbox{

}
.login__forgot{

}
.login__submit{

}
.form-item{
  position: relative;

}
.toggle-input-type{
  position: absolute;
  right: 6px;
  cursor: pointer;
  padding: 12px;
  display: flex;
  align-items: center;
  top: 0;
  z-index: 10;
}
.input--password{
  padding-right: 36px !important;
}
